cURL
curl --request PATCH \
--url https://api.boothzen.com/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"metadata": [
"<string>"
]
}
'import requests
url = "https://api.boothzen.com/v1/customers/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"company": "<string>",
"metadata": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
company: '<string>',
metadata: ['<string>']
})
};
fetch('https://api.boothzen.com/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>",
"errors": {}
}Customer
Patch customers
PATCH
/
customers
/
{id}
cURL
Authorizations
Bearer token: bz_live_<32chars> (live mode) or bz_test_<32chars> (test mode). Obtain via BoothZen admin → Settings → API Keys.
Path Parameters
Body
application/json
Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
50Maximum string length:
200Maximum array length:
50Maximum string length:
500Response
The response is of type string.
⌘I